
Redmine - Defect #3615

500 Internal Server Error is raised if add an empty comment to the news

2009-07-15 15:29 - Andrew Rudenko

Status: Closed Start date: 2009-07-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: News Estimated time: 0.00 hour

Target version: 0.8.5   

Resolution: Fixed Affected version:  

Description

There is ability to add a comment to the news. And 500 Internal Server Error is rendered if adds an empty comment.

I'm using

Redmine 0.8.4.devel.2815

PostgreSQL 8.0.15

Ruby 1.8.6 (2009-03-31 patchlevel 368) [i486-linux]

Rails 2.2.2

ActionView::TemplateError (undefined method `any?' for nil:NilClass) on line #45 of app/views/news

/show.rhtml:

42:     </div>

43:     <h4><%= authoring comment.created_on, comment.author %></h4>

44:     <%= textilizable(comment.comments) %>

45: <% end if @comments.any? %>

46: </div>

47:

48: <% if authorize_for 'news', 'add_comment' %>

    app/views/news/show.rhtml:45

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_view/renderable.rb:39:in `send'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.2.2/lib/action_view

....

Associated revisions

Revision 2820 - 2009-07-18 09:51 - Jean-Philippe Lang

Fixed: error raised when trying to add an empty comment to a news (#3615).

History

#1 - 2009-07-15 22:00 - Chris Grieger

- File empty_news_comments_fix.patch added

I've attached a patch for it.

#2 - 2009-07-15 22:45 - Mischa The Evil

- Priority changed from Low to Normal

I can confirm the described behaviour also.

I've corrected the issue-description by wrapping the trace into pre-tags to prevent line-endings to be ignored. I also corrected the issue-priority.

Regards,

Mischa.

#3 - 2009-07-18 09:50 - Jean-Philippe Lang

- Status changed from New to Resolved

- Target version set to 0.8.5
- Resolution set to Fixed

Fixed in r2820.

Thanks for pointing this out.

#4 - 2009-09-13 13:33 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in 0.8-stable in r2881.

Files

empty_news_comments_fix.patch 1.94 KB 2009-07-15 Chris Grieger
